require 'aws-sdk'
require 'fake_sqs/test_integration'

AWS.config(
  use_ssl:            false,
  sqs_endpoint:       'localhost',
  sqs_port:           4568,
  access_key_id:      'fake access key',
  secret_access_key:  'fake secret key'
)

RSpec.configure do |config|
  config.before(:suite) do
    FAKE_SQS = FakeSQS::TestIntegration.new(database: ':memory:')
  end

  config.before(:all, :sqs) { FAKE_SQS.start }

  config.after(:all, :sqs) { FAKE_SQS.stop }
end
