# encoding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'meta/version'

Gem::Specification.new do |s|
  s.name                  = 'vf-email-handler'
  s.version               =  MailHandler::VERSION
  s.date                  =  Date.today.to_s
  s.authors               = ['Videofy', 'Karl Litterfeldt']
  s.email                 = 'karl.litterfeldt@videofy.me'
  s.license               = 'MIT-LICENSE'

  s.required_ruby_version = '>=2.1.2'

  s.homepage              = 'http://www.videofy.me'

  s.summary               = 'Integrates AWS SQS with SES letting you' \
                            'seemlessly queue emails for sending'

  s.description           = 'Use this handler when you want to be able' \
                            'to queue up emails via Amazons Simple Queue' \
                            'Service, enabeling you to generate' \
                            'tons of emails and send them as fast as Amazons' \
                            'Simple Email Service will let you. Check out the' \
                            'readme on Github for more information.'

  s.files                 = Dir.glob('lib/**/*') +
                            Dir.glob('bin/**/*') +
                            %w(vf-email-handler.gemspec LICENSE README.md)

  s.test_files            = Dir.glob('spec/**/*')
  s.executables           = %w(vf-email-handler)
  s.require_paths         = ['lib']

  s.add_dependency 'aws-ses', '~> 0.5'
  s.add_dependency 'aws-sdk', '~> 1.52.0'

  s.add_development_dependency 'rspec', '~> 3'
  s.add_development_dependency 'cane', '~> 2.6'
  s.add_development_dependency 'fake_sqs', '~> 0.1'
end
